Host Power System Get Info

Host Power System Get Info
Power system state info object.

Power system state info object.

Required privileges: System.Read

Request
URI
GET
https://{vcenter-host}/sdk/vim25/{release}/HostPowerSystem/{moId}/info
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the property attaches; the serialized managed object reference for a request has the form moType/moId, in this case HostPowerSystem/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns PowerSystemInfo of type(s) application/json
This response body class contains all of the following: DataObject
{
    "_typeName": "string",
    "currentPolicy": {
        "_typeName": "string",
        "key": 0,
        "name": "string",
        "shortName": "string",
        "description": "string"
    }
}
currentPolicy
Required

Currently selected host power management policy.

This property can have one of the values from PowerSystemCapability.availablePolicy.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/sdk/vim25/{release}/HostPowerSystem/{moId}/info